=== examples/quick/layouts/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(layouts LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/quick/layouts")

find_package(Qt6 REQUIRED COMPONENTS Core Gui Qml Quick)

qt_add_executable(layoutsexample
    WIN32
    MACOSX_BUNDLE
    main.cpp
)

qt_add_qml_module(layoutsexample
    URI layouts
    VERSION 1.0
    QML_FILES
        "layouts.qml"
)

target_link_libraries(layoutsexample PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Qml
    Qt::Quick
)

install(TARGETS layoutsexample
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)
